//======================================================================
// Forward declarations for functions that deal directly with the engine
//======================================================================

#define ABSOLUTE_VALUE_EASY(x) (((x) < 0) ? (-(x)) : (x)) //very useful for gpGlobals->time comparisons

//just declare extra helper functions you need here
edict_t	*UTIL_PlayerEdictByIndex( int playerIndex );
void UTIL_ChatPrintf( edict_t *pPlayer, char *fmt, ... );
void UTIL_ConsolePrintf( edict_t *pPlayer, char *fmt, ... );
void UTIL_SayText( const char *pText, edict_t *pEntity );
int UTIL_NS_GetPlayerPoints( const edict_t *pPlayer );
int UTIL_NS_GetPlayerLevel( const edict_t *pPlayer );
void UTIL_NS_MinusPlayerPoints( const edict_t *pPlayer, int iValue );
float UTIL_NS_GetPlayerExperience( const edict_t *pPlayer );
void UTIL_NS_SetPlayerExperience( const edict_t *pPlayer, float fExp );
